Index: /palm/trunk/SOURCE/exchange_horiz.f90
===================================================================
--- /palm/trunk/SOURCE/exchange_horiz.f90	(revision 2117)
+++ /palm/trunk/SOURCE/exchange_horiz.f90	(revision 2118)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! OpenACC directives and related code removed
 ! 
 ! Former revisions:
@@ -86,5 +86,5 @@
     USE control_parameters,                                                    &
         ONLY:  bc_lr, bc_lr_cyc, bc_ns, bc_ns_cyc, grid_level,                 &
-               mg_switch_to_pe0, on_device, synchronous_exchange
+               mg_switch_to_pe0, synchronous_exchange
                 
     USE cpulog,                                                                &
@@ -254,40 +254,11 @@
 !-- with array syntax, explicit loops are used.
     IF ( bc_lr == 'cyclic' )  THEN
-       IF ( on_device )  THEN
-          !$acc kernels present( ar )
-          !$acc loop independent
-          DO  i = 0, nbgp_local-1
-             DO  j = nys-nbgp_local, nyn+nbgp_local
-                DO  k = nzb, nzt+1
-                   ar(k,j,nxl-nbgp_local+i) = ar(k,j,nxr-nbgp_local+1+i)
-                   ar(k,j,nxr+1+i)          = ar(k,j,nxl+i)
-                ENDDO
-             ENDDO
-          ENDDO
-          !$acc end kernels
-       ELSE
-          ar(:,:,nxl-nbgp_local:nxl-1) = ar(:,:,nxr-nbgp_local+1:nxr)
-          ar(:,:,nxr+1:nxr+nbgp_local) = ar(:,:,nxl:nxl+nbgp_local-1)
-       ENDIF
+       ar(:,:,nxl-nbgp_local:nxl-1) = ar(:,:,nxr-nbgp_local+1:nxr)
+       ar(:,:,nxr+1:nxr+nbgp_local) = ar(:,:,nxl:nxl+nbgp_local-1)
     ENDIF
 
     IF ( bc_ns == 'cyclic' )  THEN
-       IF ( on_device )  THEN
-          !$acc kernels present( ar )
-          DO  i = nxl-nbgp_local, nxr+nbgp_local
-             !$acc loop independent
-             DO  j = 0, nbgp_local-1
-                !$acc loop independent
-                DO  k = nzb, nzt+1
-                   ar(k,nys-nbgp_local+j,i) = ar(k,nyn-nbgp_local+1+j,i)
-                   ar(k,nyn+1+j,i)          = ar(k,nys+j,i)
-                ENDDO
-             ENDDO
-          ENDDO
-          !$acc end kernels
-       ELSE
-          ar(:,nys-nbgp_local:nys-1,:) = ar(:,nyn-nbgp_local+1:nyn,:)
-          ar(:,nyn+1:nyn+nbgp_local,:) = ar(:,nys:nys+nbgp_local-1,:)
-       ENDIF
+       ar(:,nys-nbgp_local:nys-1,:) = ar(:,nyn-nbgp_local+1:nyn,:)
+       ar(:,nyn+1:nyn+nbgp_local,:) = ar(:,nys:nys+nbgp_local-1,:)
     ENDIF
 
Index: /palm/trunk/SOURCE/fft_xy_mod.f90
===================================================================
--- /palm/trunk/SOURCE/fft_xy_mod.f90	(revision 2117)
+++ /palm/trunk/SOURCE/fft_xy_mod.f90	(revision 2118)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! OpenACC directives and CUDA-fft related code removed
 ! 
 ! Former revisions:
@@ -31,5 +31,4 @@
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
-! 
 ! 
 ! 1815 2016-04-06 13:49:59Z raasch
@@ -139,7 +138,5 @@
         ONLY:  nx, ny, nz
         
-#if defined( __cuda_fft )
-    USE ISO_C_BINDING
-#elif defined( __fftw )
+#if defined( __fftw )
     USE, INTRINSIC ::  ISO_C_BINDING
 #endif
@@ -192,12 +189,4 @@
     REAL(wp), DIMENSION(:), ALLOCATABLE, SAVE ::  trig_yf  !<
     
-#elif defined( __cuda_fft )
-    INTEGER(C_INT), SAVE ::  plan_xf  !<
-    INTEGER(C_INT), SAVE ::  plan_xi  !<
-    INTEGER(C_INT), SAVE ::  plan_yf  !<
-    INTEGER(C_INT), SAVE ::  plan_yi  !<
-    
-    INTEGER(iwp), SAVE   ::  total_points_x_transpo  !<
-    INTEGER(iwp), SAVE   ::  total_points_y_transpo  !<
 #endif
 
@@ -261,6 +250,4 @@
     SUBROUTINE fft_init
 
-       USE cuda_fft_interfaces
-
        IMPLICIT NONE
 
@@ -338,11 +325,4 @@
           CALL ZDFFTM( 0, ny+1, nz1, sqr_dny, work_y, ny+4, work_y, ny+4,      &
                        trig_yb, worky, 0 )
-#elif defined( __cuda_fft )
-          total_points_x_transpo = (nx+1) * (nyn_x-nys_x+1) * (nzt_x-nzb_x+1)
-          total_points_y_transpo = (ny+1) * (nxr_y-nxl_y+1) * (nzt_y-nzb_y+1)
-          CALL CUFFTPLAN1D( plan_xf, nx+1, CUFFT_D2Z, (nyn_x-nys_x+1) * (nzt_x-nzb_x+1) )
-          CALL CUFFTPLAN1D( plan_xi, nx+1, CUFFT_Z2D, (nyn_x-nys_x+1) * (nzt_x-nzb_x+1) )
-          CALL CUFFTPLAN1D( plan_yf, ny+1, CUFFT_D2Z, (nxr_y-nxl_y+1) * (nzt_y-nzb_y+1) )
-          CALL CUFFTPLAN1D( plan_yi, ny+1, CUFFT_Z2D, (nxr_y-nxl_y+1) * (nzt_y-nzb_y+1) )
 #else
           message_string = 'no system-specific fft-call available'
@@ -403,9 +383,4 @@
 
 
-       USE cuda_fft_interfaces
-#if defined( __cuda_fft )
-       USE ISO_C_BINDING
-#endif
-
        IMPLICIT NONE
 
@@ -429,9 +404,4 @@
 #elif defined( __nec )
        REAL(wp), DIMENSION(6*(nx+1)) ::  work2  !<
-#elif defined( __cuda_fft )
-       COMPLEX(dp), DIMENSION(0:(nx+1)/2,nys_x:nyn_x,nzb_x:nzt_x) ::           &
-          ar_tmp  !<
-       ! following does not work for PGI 14.1 -> to be removed later
-       ! !$acc declare create( ar_tmp )
 #endif
 
@@ -737,55 +707,4 @@
 
           ENDIF
-
-#elif defined( __cuda_fft )
-
-          !$acc data create( ar_tmp )
-          IF ( forward_fft )  THEN
-
-             !$acc data present( ar )
-             CALL CUFFTEXECD2Z( plan_xf, ar, ar_tmp )
-
-             !$acc kernels
-             DO  k = nzb_x, nzt_x
-                DO  j = nys_x, nyn_x
-
-                   DO  i = 0, (nx+1)/2
-                      ar(i,j,k)      = REAL( ar_tmp(i,j,k), KIND=wp )  * dnx
-                   ENDDO
-
-                   DO  i = 1, (nx+1)/2 - 1
-                      ar(nx+1-i,j,k) = AIMAG( ar_tmp(i,j,k) ) * dnx
-                   ENDDO
-
-                ENDDO
-             ENDDO
-             !$acc end kernels
-             !$acc end data
-
-          ELSE
-
-             !$acc data present( ar )
-             !$acc kernels
-             DO  k = nzb_x, nzt_x
-                DO  j = nys_x, nyn_x
-
-                   ar_tmp(0,j,k) = CMPLX( ar(0,j,k), 0.0_wp, KIND=wp )
-
-                   DO  i = 1, (nx+1)/2 - 1
-                      ar_tmp(i,j,k) = CMPLX( ar(i,j,k), ar(nx+1-i,j,k),        &
-                                             KIND=wp )
-                   ENDDO
-                   ar_tmp((nx+1)/2,j,k) = CMPLX( ar((nx+1)/2,j,k), 0.0_wp,     &
-                                                 KIND=wp )
-
-                ENDDO
-             ENDDO
-             !$acc end kernels
-
-             CALL CUFFTEXECZ2D( plan_xi, ar_tmp, ar )
-             !$acc end data
-
-          ENDIF
-          !$acc end data
 
 #else
@@ -1052,9 +971,4 @@
 
 
-       USE cuda_fft_interfaces
-#if defined( __cuda_fft )
-       USE ISO_C_BINDING
-#endif
-
        IMPLICIT NONE
 
@@ -1082,9 +996,4 @@
 #elif defined( __nec )
        REAL(wp), DIMENSION(6*(ny+1)) ::  work2  !<
-#elif defined( __cuda_fft )
-       COMPLEX(dp), DIMENSION(0:(ny+1)/2,nxl_y:nxr_y,nzb_y:nzt_y) ::           &
-          ar_tmp  !<
-       ! following does not work for PGI 14.1 -> to be removed later
-       ! !$acc declare create( ar_tmp )
 #endif
 
@@ -1364,55 +1273,4 @@
 
           ENDIF
-#elif defined( __cuda_fft )
-
-          !$acc data create( ar_tmp )
-          IF ( forward_fft )  THEN
-
-             !$acc data present( ar )
-             CALL CUFFTEXECD2Z( plan_yf, ar, ar_tmp )
-
-             !$acc kernels
-             DO  k = nzb_y, nzt_y
-                DO  i = nxl_y, nxr_y
-
-                   DO  j = 0, (ny+1)/2
-                      ar(j,i,k)      = REAL( ar_tmp(j,i,k), KIND=wp )  * dny
-                   ENDDO
-
-                   DO  j = 1, (ny+1)/2 - 1
-                      ar(ny+1-j,i,k) = AIMAG( ar_tmp(j,i,k) ) * dny
-                   ENDDO
-
-                ENDDO
-             ENDDO
-             !$acc end kernels
-             !$acc end data
-
-          ELSE
-
-             !$acc data present( ar )
-             !$acc kernels
-             DO  k = nzb_y, nzt_y
-                DO  i = nxl_y, nxr_y
-
-                   ar_tmp(0,i,k) = CMPLX( ar(0,i,k), 0.0_wp, KIND=wp )
-
-                   DO  j = 1, (ny+1)/2 - 1
-                      ar_tmp(j,i,k) = CMPLX( ar(j,i,k), ar(ny+1-j,i,k),        &
-                                             KIND=wp )
-                   ENDDO
-                   ar_tmp((ny+1)/2,i,k) = CMPLX( ar((ny+1)/2,i,k), 0.0_wp,     &
-                                                 KIND=wp )
-
-                ENDDO
-             ENDDO
-             !$acc end kernels
-
-             CALL CUFFTEXECZ2D( plan_yi, ar_tmp, ar )
-             !$acc end data
-
-          ENDIF
-          !$acc end data
-
 #else
           message_string = 'no system-specific fft-call available'
Index: /palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/flow_statistics.f90	(revision 2117)
+++ /palm/trunk/SOURCE/flow_statistics.f90	(revision 2118)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! OpenACC version of subroutine removed
 ! 
 ! Former revisions:
@@ -216,5 +216,4 @@
 !>       are zero at the walls and inside buildings.
 !------------------------------------------------------------------------------!
-#if ! defined( __openacc )
  SUBROUTINE flow_statistics
  
@@ -309,5 +308,4 @@
     CALL cpu_log( log_point(10), 'flow_statistics', 'start' )
 
-    !$acc update host( km, kh, e, ol, pt, qs, qsws, shf, ts, u, usws, v, vsws, w )
 
 !
